<!-- DO NOT MODIFY -->
<!-- This file was autogenerated by build-docs.ts -->
<!-- Edit the docstring in index.ts and regenerate -->
<!-- rather than editing this file directly. -->
# unified-latex-util-comments

## What is this?

Functions to help modify comments in a `unified-latex` Abstract Syntax Tree (AST).

## When should I use this?

If you want to process comments in a `unified-latex` AST.

## Install

```bash
npm install @unified-latex/unified-latex-util-comments
```

This package contains both esm and commonjs exports. To explicitly access the esm export,
import the `.js` file. To explicitly access the commonjs export, import the `.cjs` file.

# Functions

## `deleteComments(ast)`

Returns a new AST with all comments removed. Care is taken to preserve whitespace.
For example

    x%
    y

becomes `xy` but

    x %
    y

becomes `x y`

```typescript
function deleteComments(ast: Ast.Ast): void;
```

**Parameters**

| Param | Type      |
| :---- | :-------- |
| ast   | `Ast.Ast` |
